linux: 3.2.0-96.136 -proposed tracker

Bug #1521325 reported by Brad Figg on 2015-11-30
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Yung Shen
Prepare-package
Medium
Brad Figg
Prepare-package-lbm
Medium
Brad Figg
Prepare-package-meta
Medium
Brad Figg
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Chris J Arges
Promote-to-updates
Medium
Chris J Arges
Regression-testing
Medium
Canonical Platform QA Team
Security-signoff
Medium
Steve Beattie
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned

Bug Description

This bug is for tracking the 3.2.0-96.136 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 30. November 2015 20:50 UTC
kernel-stable-Prepare-package-end:Tuesday, 01. December 2015 03:04 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 01. December 2015 03:04 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 01. December 2015 17:24 UTC
kernel-stable-Verification-testing-start:Tuesday, 01. December 2015 19:01 UTC
kernel-stable-Certification-testing-start:Tuesday, 01. December 2015 19:01 UTC
kernel-stable-Security-signoff-start:Tuesday, 01. December 2015 19:01 UTC
proposed-announcement-sent:True
kernel-stable-Regression-testing-start:Tuesday, 01. December 2015 19:01 UTC
kernel-stable-Security-signoff-end:Wednesday, 02. December 2015 10:00 UTC
kernel-stable-Verification-testing-end:Tuesday, 15. December 2015 19:00 UTC
kernel-stable-Regression-testing-end:Tuesday, 15. December 2015 19:53 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 16. December 2015 11:00 UTC
kernel-stable-Certification-testing-end:Wednesday, 16. December 2015 11:00 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 16. December 2015 20:45 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 16. December 2015 22:01 UTC
-- swm properties --
packages:
  lbm: linux-backports-modules-3.2.0
  main: linux
  meta: linux-meta

CVE References

Brad Figg (brad-figg) on 2015-11-30
tags: added: kernel-release-tracking-bug
tags: added: block-proposed-precise
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
importance: Undecided → Medium
Changed in linux (Ubuntu Precise):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1521445
linux-armadaxp - bug 1521448

description: updated

 linux | 3.2.0-96.136 | precise-proposed | source
 linux-meta | 3.2.0.96.112 | precise-proposed | source
 linux-backports-modules-3.2.0 | 3.2.0-96.88 | precise-proposed | source

Brad Figg (brad-figg) on 2015-12-01
description: updated
Brad Figg (brad-figg) on 2015-12-01
description: updated

Here's the relevant information:

 precise linux 3.2.0-96.136 REGR summary<REGN: 1 MISS: 5 FAIL: 41 GOOD: 29>

Please verify test results in http://people.canonical.com/~kernel/status/adt-matrix/overall.txt

Steve Beattie (sbeattie) wrote :

Needs USN for CVE-2015-8104

Brad Figg (brad-figg) on 2015-12-02
description: updated
Yung Shen (kaxing) wrote :

Hardware Certification have begun testing this -proposed kernel.

Brad Figg (brad-figg) on 2015-12-15
description: updated
Brad Figg (brad-figg) on 2015-12-15
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2015-12-15
description: updated
Yung Shen (kaxing) wrote :

Hardware Certification have completed testing this -proposed kernel. No regressions were observed, results are available here: http://people.canonical.com/~hwcert/sru-testing/precise/3.2.0-96.136/precise-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2015-12-16
description: updated
Yung Shen (kaxing) wrote :

a brief summary about false-alarm systems in the report:
201011-6701 is having a boot problem and it is not related to operating system.
201103-7379, 201101-7173, 201003-5427 is using bcm wireless driver and it doesn't work stable again. please see more details in bug 1498743.

Launchpad Janitor (janitor) wrote :
Download full text (5.4 KiB)

This bug was fixed in the package linux - 3.2.0-96.136

---------------
linux (3.2.0-96.136) precise; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1521325

  [ Andy Whitcroft ]

  * [Packaging] control -- make element ordering deterministic
    - LP: #1516686
  * [Packaging] control -- prepare for new kernel-wedge semantics
    - LP: #1516686

  [ Upstream Kernel Changes ]

  * Revert "KVM: x86: vmx: avoid guest->host DOS by intercepting #AC"
  * Revert "KVM: MMU: fix validation of mmio page fault"
    - LP: #1520200
  * module: Fix locking in symbol_put_addr()
    - LP: #1520200
  * regmap: debugfs: Ensure we don't underflow when printing access masks
    - LP: #1520200
  * regmap: debugfs: Don't bother actually printing when calculating max
    length
    - LP: #1520200
  * ath9k: declare required extra tx headroom
    - LP: #1520200
  * m68k: Define asmlinkage_protect
    - LP: #1520200
  * x86/xen: Do not clip xen_e820_map to xen_e820_map_entries when
    sanitizing map
    - LP: #1520200
  * UBI: Validate data_size
    - LP: #1520200
  * UBI: return ENOSPC if no enough space available
    - LP: #1520200
  * MIPS: dma-default: Fix 32-bit fall back to GFP_DMA
    - LP: #1520200
  * x86/process: Add proper bound checks in 64bit get_wchan()
    - LP: #1520200
  * genirq: Fix race in register_irq_proc()
    - LP: #1520200
  * mm: hugetlbfs: skip shared VMAs when unmapping private pages to satisfy
    a fault
    - LP: #1520200
  * Do not fall back to SMBWriteX in set_file_size error cases
    - LP: #1520200
  * md/raid0: update queue parameter in a safer location.
    - LP: #1520200
  * md/raid0: apply base queue limits *before* disk_stack_limits
    - LP: #1520200
  * clocksource: Fix abs() usage w/ 64bit values
    - LP: #1520200
  * iio: accel: sca3000: memory corruption in sca3000_read_first_n_hw_rb()
    - LP: #1520200
  * USB: Add reset-resume quirk for two Plantronics usb headphones.
    - LP: #1520200
  * usb: Add device quirk for Logitech PTZ cameras
    - LP: #1520200
  * tty: fix stall caused by missing memory barrier in drivers/tty/n_tty.c
    - LP: #1520200
  * drivers/tty: require read access for controlling terminal
    - LP: #1520200
  * ppp: don't override sk->sk_state in pppoe_flush_dev()
    - LP: #1520200
  * iwlwifi: dvm: fix D3 firmware PN programming
    - LP: #1520200
  * ALSA: synth: Fix conflicting OSS device registration on AWE32
    - LP: #1520200
  * sched/core: Fix TASK_DEAD race in finish_task_switch()
    - LP: #1520200
  * 3w-9xxx: don't unmap bounce buffered commands
    - LP: #1520200
  * xen-blkfront: check for null drvdata in blkback_changed
    (XenbusStateClosing)
    - LP: #1520200
  * ALSA: hda - Fix inverted internal mic on Lenovo G50-80
    - LP: #1504778, #1520200
  * crypto: ahash - ensure statesize is non-zero
    - LP: #1520200
  * iommu/vt-d: fix range computation when making room for large pages
    - LP: #1520200
  * xhci: don't finish a TD if we get a short transfer event mid TD
    - LP: #1520200
  * xhci: handle no ping response error properly
    - LP: #1520200
  * xhci: Switch Intel Lynx Point LP ports to EHCI on shutdown.
    - LP: #1520200
  * xhci: Add spurious wak...

Read more...

Changed in linux (Ubuntu Precise):
status: New → Fix Released

 linux | 3.2.0-96.136 | precise-updates | source
 linux-meta | 3.2.0.96.112 | precise-updates | source
 linux-backports-modules-3.2.0 | 3.2.0-96.88 | precise-updates | source

Brad Figg (brad-figg) on 2015-12-16
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
Po-Hsu Lin (cypressyew) on 2019-10-03
Changed in linux (Ubuntu):
status: New → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers